package com.ruoyi.ibs.list.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.ibs.list.domain.CustInfoMerchant;
import com.ruoyi.ibs.list.domain.CustInfoMerchantVo;
import com.ruoyi.ibs.list.domain.SysGroupCustomer;

import javax.servlet.http.HttpServletResponse;
import java.util.List;


/**
 * 商户客户基本信息Service接口
 * 
 * @author ruoyi
 * @date 2024-10-28
 */
public interface ICustInfoMerchantService 
{
    /**
     * 查询商户客户基本信息
     * 
     * @param id 商户客户基本信息主键
     * @return 商户客户基本信息
     */
    public CustInfoMerchant selectCustInfoMerchantById(Long id);

    /**
     * 查询360视图客户详情
     *
     * @param id 商户客户基本信息主键
     * @return 商户客户基本信息
     */
    public CustInfoMerchantVo selectCustInfoMerchantVoByCustId(String custId);

    /**
     * 查询商户客户基本信息列表
     * 
     * @param custInfoMerchant 商户客户基本信息
     * @return 商户客户基本信息集合
     */
    public List<CustInfoMerchant> selectCustInfoMerchantList(CustInfoMerchant custInfoMerchant);

    /**
     * 查询商户客户基本信息列表
     *
     * @param custInfoMerchant 商户客户基本信息
     * @return 商户客户基本信息集合
     */
    public List<CustInfoMerchant> selectCustInfoMerchantListBykeyword(String keyword);

    /**
     * 新增商户客户基本信息
     * 
     * @param custInfoMerchant 商户客户基本信息
     * @return 结果
     */
    public int insertCustInfoMerchant(CustInfoMerchant custInfoMerchant);

    /**
     * 新增商户客户基本信息建档
     *
     * @param custInfoMerchant 商户客户基本信息
     * @return 结果
     */
    public AjaxResult insertCustInfoMerchantVo(CustInfoMerchant custInfoMerchant, String relatePerson);

    /**
     * 修改商户客户基本信息
     * 
     * @param custInfoMerchant 商户客户基本信息
     * @return 结果
     */
    public AjaxResult updateCustInfoMerchant(CustInfoMerchant custInfoMerchant);

    /**
     * 批量删除商户客户基本信息
     * 
     * @param ids 需要删除的商户客户基本信息主键集合
     * @return 结果
     */
    public int deleteCustInfoMerchantByIds(Long[] ids);

    /**
     * 删除商户客户基本信息信息
     * 
     * @param id 商户客户基本信息主键
     * @return 结果
     */
    public int deleteCustInfoMerchantById(Long id);

    public CustInfoMerchant selectCustInfoMerchantByCustId(String custId);

    void exportMerchantDetail(HttpServletResponse response,String custId) throws Exception;

    public int insertCustomersToMmerchantByScCode(List<SysGroupCustomer> sysGroupCustomers);

    public List<String> selectCustInfoByScCodeList(List<String> idcConditionList, String custType);
}
